### File

`packages/ecl/components/ecl-content-block/ecl-content-block-elements.directive.ts`

### Description

Directive for the icon element of a secondary metadata item.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclContentBlockSecondaryMetaIcon]`

### Index

###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Adds the ECL CSS class for a secondary metadata icon.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Adds the ECL CSS class for a secondary metadata icon. Returns : `string`

# results matching ""

# No results matching ""